Bug 88223 - Installer fails to find ReiserFS partitions on RAID for both upgrade and rescue
Installer fails to find ReiserFS partitions on RAID for both upgrade and rescue
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-07 16:09 EDT by Kevin Freeman
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 10:55:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Additions to fsset.py (1.47 KB, patch)
2003-04-07 16:29 EDT, Kevin Freeman
no flags Details | Diff
Changes to partedUtils.py (214 bytes, patch)
2003-04-07 16:30 EDT, Kevin Freeman
no flags Details | Diff

  None (edit)
Description Kevin Freeman 2003-04-07 16:09:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030313

Description of problem:
Anaconda fails to detect ReiserFS partitions that are located on software RAID
devices.  Upon examining the anaconda code it appears that ReiserFS is
unsupported on software RAID devices.

I am aware that ReiserFS is not supported by Red Hat.  However, the installer
does have the "reiserfs" option which allows installing on such a partition,
including a RAID device.  Currently, any such installation on a software RAID
device is unable to be upgraded, while a ReiserFS installation on a simple
device is able to be upgraded.

Version-Release number of selected component (if applicable):
anaconda-9.0-4

How reproducible:
Always

Steps to Reproduce:
1.  Install 2 copies of Red Hat 8.0, one with / on a simple (/dev/hda1) ReiserFS
partition, the other with / on a software RAID (/dev/md0) ReiserFS partition.
2.  Attempt an upgrade to Red Hat 9.

    

Actual Results:  Anaconda will locate only the installation on /dev/hda1.  It is
not possible to upgrade /dev/md0.

Expected Results:  Anaconda locates and allows upgrades on both /dev/hda1 and
/dev/md0.

Additional info:

I have modified the code to detect a ReiserFS superblock.  This in turn allows
the existing code to mount and operate on a ReiserFS RAID partition, in both
upgrade and rescue modes.  See attachments for details.
Comment 1 Kevin Freeman 2003-04-07 16:29:17 EDT
Created attachment 90970 [details]
Additions to fsset.py
Comment 2 Kevin Freeman 2003-04-07 16:30:13 EDT
Created attachment 90971 [details]
Changes to partedUtils.py
Comment 3 Jeremy Katz 2003-04-08 20:34:49 EDT
Added to CVS (with some formatting changes)
Comment 4 Brent Fox 2003-05-25 10:55:11 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.